# azure.mgmt.relay.operations module

class `azure.mgmt.relay.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2017-04-01”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all available Relay REST API operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Operation
    Return type: | OperationPaged[Operation]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.relay.models' from '/usr/lib/python3/dist-packages/azure/mgmt/relay/models/__init__.py'>

class `azure.mgmt.relay.operations.``NamespacesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  NamespacesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2017-04-01”.

  `check_name_availability_method`(name, custom_headers=None, raw=False, **operation_config)

    Check the specified namespace name availability.

    Parameters:

    - name (str) – The namespace name to check for availability. The namespace name can contain only letters, numbers, and hyphens. The namespace must start with a letter, and it must end with a letter or number.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CheckNameAvailabilityResult or ClientRawResponse if raw=true
    Return type: | CheckNameAvailabilityResult or ClientRawResponse
    Raises: | `ErrorResponseException`

  `create_or_update`(resource_group_name, namespace_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Create Azure Relay namespace.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - parameters (RelayNamespace) – Parameters supplied to create a namespace resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns RelayNamespace or ClientRawResponse<RelayNamespace> if raw==True
    Return type: | AzureOperationPoller[RelayNamespace] or AzureOperationPoller[ClientRawResponse[RelayNamespace]]
    Raises: | `ErrorResponseException`

  `create_or_update_authorization_rule`(resource_group_name, namespace_name, authorization_rule_name, rights, custom_headers=None, raw=False, **operation_config)

    Creates or updates an authorization rule for a namespace.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - authorization_rule_name (str) – The authorization rule name.
    - rights (list[str or AccessRights]) – The rights associated with the rule.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AuthorizationRule or ClientRawResponse if raw=true
    Return type: | AuthorizationRule or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, namespace_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes an existing namespace. This operation also removes all associated resources under the namespace.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `delete_authorization_rule`(resource_group_name, namespace_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Deletes a namespace authorization rule.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - authorization_rule_name (str) – The authorization rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, namespace_name, custom_headers=None, raw=False, **operation_config)

    Returns the description for the specified namespace.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | RelayNamespace or ClientRawResponse if raw=true
    Return type: | RelayNamespace or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_authorization_rule`(resource_group_name, namespace_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Authorization rule for a namespace by name.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - authorization_rule_name (str) – The authorization rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AuthorizationRule or ClientRawResponse if raw=true
    Return type: | AuthorizationRule or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all the available namespaces within the subscription regardless of the resourceGroups.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of RelayNamespace
    Return type: | RelayNamespacePaged[RelayNamespace]
    Raises: | `ErrorResponseException`

  `list_authorization_rules`(resource_group_name, namespace_name, custom_headers=None, raw=False, **operation_config)

    Authorization rules for a namespace.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of AuthorizationRule
    Return type: | AuthorizationRulePaged[AuthorizationRule]
    Raises: | `ErrorResponseException`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists all the available namespaces within the ResourceGroup.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of RelayNamespace
    Return type: | RelayNamespacePaged[RelayNamespace]
    Raises: | `ErrorResponseException`

  `list_keys`(resource_group_name, namespace_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Primary and secondary connection strings to the namespace.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - authorization_rule_name (str) – The authorization rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AccessKeys or ClientRawResponse if raw=true
    Return type: | AccessKeys or ClientRawResponse
    Raises: | `ErrorResponseException`

  `regenerate_keys`(resource_group_name, namespace_name, authorization_rule_name, key_type, key=None, custom_headers=None, raw=False, **operation_config)

    Regenerates the primary or secondary connection strings to the namespace.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - authorization_rule_name (str) – The authorization rule name.
    - key_type (str or KeyType) – The access key to regenerate. Possible values include: ‘PrimaryKey’, ‘SecondaryKey’
    - key (str) – Optional. If the key value is provided, this is set to key type, or autogenerated key value set for key type.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AccessKeys or ClientRawResponse if raw=true
    Return type: | AccessKeys or ClientRawResponse
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, namespace_name, tags=None, sku=None, custom_headers=None, raw=False, **operation_config)

    Creates or updates a namespace. Once created, this namespace’s resource manifest is immutable. This operation is idempotent.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - tags (dict[str, str]) – Resource tags.
    - sku (Sku) – SKU of the namespace.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | RelayNamespace or ClientRawResponse if raw=true
    Return type: | RelayNamespace or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.relay.models' from '/usr/lib/python3/dist-packages/azure/mgmt/relay/models/__init__.py'>

class `azure.mgmt.relay.operations.``HybridConnectionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  HybridConnectionsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2017-04-01”.

  `create_or_update`(resource_group_name, namespace_name, hybrid_connection_name, requires_client_authorization=None, user_metadata=None, custom_headers=None, raw=False, **operation_config)

    Creates or updates a service hybrid connection. This operation is idempotent.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - hybrid_connection_name (str) – The hybrid connection name.
    - requires_client_authorization (bool) – Returns true if client authorization is needed for this hybrid connection; otherwise, false.
    - user_metadata (str) – The usermetadata is a placeholder to store user-defined string data for the hybrid connection endpoint. For example, it can be used to store descriptive data, such as a list of teams and their contact information. Also, user-defined configuration settings can be stored.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | HybridConnection or ClientRawResponse if raw=true
    Return type: | HybridConnection or ClientRawResponse
    Raises: | `ErrorResponseException`

  `create_or_update_authorization_rule`(resource_group_name, namespace_name, hybrid_connection_name, authorization_rule_name, rights, custom_headers=None, raw=False, **operation_config)

    Creates or updates an authorization rule for a hybrid connection.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - hybrid_connection_name (str) – The hybrid connection name.
    - authorization_rule_name (str) – The authorization rule name.
    - rights (list[str or AccessRights]) – The rights associated with the rule.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AuthorizationRule or ClientRawResponse if raw=true
    Return type: | AuthorizationRule or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, namespace_name, hybrid_connection_name, custom_headers=None, raw=False, **operation_config)

    Deletes a hybrid connection.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - hybrid_connection_name (str) – The hybrid connection name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete_authorization_rule`(resource_group_name, namespace_name, hybrid_connection_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Deletes a hybrid connection authorization rule.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - hybrid_connection_name (str) – The hybrid connection name.
    - authorization_rule_name (str) – The authorization rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, namespace_name, hybrid_connection_name, custom_headers=None, raw=False, **operation_config)

    Returns the description for the specified hybrid connection.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - hybrid_connection_name (str) – The hybrid connection name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | HybridConnection or ClientRawResponse if raw=true
    Return type: | HybridConnection or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_authorization_rule`(resource_group_name, namespace_name, hybrid_connection_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Hybrid connection authorization rule for a hybrid connection by name.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - hybrid_connection_name (str) – The hybrid connection name.
    - authorization_rule_name (str) – The authorization rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AuthorizationRule or ClientRawResponse if raw=true
    Return type: | AuthorizationRule or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_authorization_rules`(resource_group_name, namespace_name, hybrid_connection_name, custom_headers=None, raw=False, **operation_config)

    Authorization rules for a hybrid connection.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - hybrid_connection_name (str) – The hybrid connection name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of AuthorizationRule
    Return type: | AuthorizationRulePaged[AuthorizationRule]
    Raises: | `ErrorResponseException`

  `list_by_namespace`(resource_group_name, namespace_name, custom_headers=None, raw=False, **operation_config)

    Lists the hybrid connection within the namespace.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of HybridConnection
    Return type: | HybridConnectionPaged[HybridConnection]
    Raises: | `ErrorResponseException`

  `list_keys`(resource_group_name, namespace_name, hybrid_connection_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Primary and secondary connection strings to the hybrid connection.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - hybrid_connection_name (str) – The hybrid connection name.
    - authorization_rule_name (str) – The authorization rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AccessKeys or ClientRawResponse if raw=true
    Return type: | AccessKeys or ClientRawResponse
    Raises: | `ErrorResponseException`

  `regenerate_keys`(resource_group_name, namespace_name, hybrid_connection_name, authorization_rule_name, key_type, key=None, custom_headers=None, raw=False, **operation_config)

    Regenerates the primary or secondary connection strings to the hybrid connection.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - hybrid_connection_name (str) – The hybrid connection name.
    - authorization_rule_name (str) – The authorization rule name.
    - key_type (str or KeyType) – The access key to regenerate. Possible values include: ‘PrimaryKey’, ‘SecondaryKey’
    - key (str) – Optional. If the key value is provided, this is set to key type, or autogenerated key value set for key type.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AccessKeys or ClientRawResponse if raw=true
    Return type: | AccessKeys or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.relay.models' from '/usr/lib/python3/dist-packages/azure/mgmt/relay/models/__init__.py'>

class `azure.mgmt.relay.operations.``WCFRelaysOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WCFRelaysOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2017-04-01”.

  `create_or_update`(resource_group_name, namespace_name, relay_name, parameters, custom_headers=None, raw=False, **operation_config)

    Creates or updates a WCF relay. This operation is idempotent.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - relay_name (str) – The relay name.
    - parameters (WcfRelay) – Parameters supplied to create a WCF relay.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WcfRelay or ClientRawResponse if raw=true
    Return type: | WcfRelay or ClientRawResponse
    Raises: | `ErrorResponseException`

  `create_or_update_authorization_rule`(resource_group_name, namespace_name, relay_name, authorization_rule_name, rights, custom_headers=None, raw=False, **operation_config)

    Creates or updates an authorization rule for a WCF relay.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - relay_name (str) – The relay name.
    - authorization_rule_name (str) – The authorization rule name.
    - rights (list[str or AccessRights]) – The rights associated with the rule.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AuthorizationRule or ClientRawResponse if raw=true
    Return type: | AuthorizationRule or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, namespace_name, relay_name, custom_headers=None, raw=False, **operation_config)

    Deletes a WCF relay.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - relay_name (str) – The relay name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete_authorization_rule`(resource_group_name, namespace_name, relay_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Deletes a WCF relay authorization rule.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - relay_name (str) – The relay name.
    - authorization_rule_name (str) – The authorization rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, namespace_name, relay_name, custom_headers=None, raw=False, **operation_config)

    Returns the description for the specified WCF relay.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - relay_name (str) – The relay name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | WcfRelay or ClientRawResponse if raw=true
    Return type: | WcfRelay or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_authorization_rule`(resource_group_name, namespace_name, relay_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Get authorizationRule for a WCF relay by name.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - relay_name (str) – The relay name.
    - authorization_rule_name (str) – The authorization rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AuthorizationRule or ClientRawResponse if raw=true
    Return type: | AuthorizationRule or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_authorization_rules`(resource_group_name, namespace_name, relay_name, custom_headers=None, raw=False, **operation_config)

    Authorization rules for a WCF relay.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - relay_name (str) – The relay name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of AuthorizationRule
    Return type: | AuthorizationRulePaged[AuthorizationRule]
    Raises: | `CloudError`

  `list_by_namespace`(resource_group_name, namespace_name, custom_headers=None, raw=False, **operation_config)

    Lists the WCF relays within the namespace.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of WcfRelay
    Return type: | WcfRelayPaged[WcfRelay]
    Raises: | `ErrorResponseException`

  `list_keys`(resource_group_name, namespace_name, relay_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Primary and secondary connection strings to the WCF relay.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - relay_name (str) – The relay name.
    - authorization_rule_name (str) – The authorization rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AccessKeys or ClientRawResponse if raw=true
    Return type: | AccessKeys or ClientRawResponse
    Raises: | `ErrorResponseException`

  `regenerate_keys`(resource_group_name, namespace_name, relay_name, authorization_rule_name, key_type, key=None, custom_headers=None, raw=False, **operation_config)

    Regenerates the primary or secondary connection strings to the WCF relay.

    Parameters:

    - resource_group_name (str) – Name of the Resource group within the Azure subscription.
    - namespace_name (str) – The namespace name
    - relay_name (str) – The relay name.
    - authorization_rule_name (str) – The authorization rule name.
    - key_type (str or KeyType) – The access key to regenerate. Possible values include: ‘PrimaryKey’, ‘SecondaryKey’
    - key (str) – Optional. If the key value is provided, this is set to key type, or autogenerated key value set for key type.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AccessKeys or ClientRawResponse if raw=true
    Return type: | AccessKeys or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.relay.models' from '/usr/lib/python3/dist-packages/azure/mgmt/relay/models/__init__.py'>